CPUFETCH(1)

NAME
cpufetch - Simple yet fancy CPU architecture fetching tool

SYNOPSIS
cpufetch [OPTION]...

DESCRIPTION
cpufetch is a command-line tool written in C that displays the CPU information in a clean and beautiful way

OPTIONS

-c, --color
    Set the color scheme (by default, cpufetch uses the system color scheme)

-s, --style
    Set the style of CPU logo

-d, --debug
    Print CPU model and cpuid levels (debug purposes)

--logo-short
    Show the short version of the logo

--logo-long
    Show the long version of the logo

-v, --verbose
    Print extra information (if available) about how cpufetch tried fetching information

--logo-intel-old
    Show the old Intel logo

--logo-intel-new
    Show the new Intel logo

-F, --full-cpu-name
    Show the full CPU name (do not abbreviate it)

-r, --raw
    Print raw cpuid data (debug purposes)

-h, --help
    Print this help and exit

-V, --version
    Print cpufetch version and exit

COLORS

* "intel":
    Use Intel default color scheme

* "amd":
    Use AMD default color scheme

* "ibm",
    Use IBM default color scheme

* "arm":
    Use ARM default color scheme

* custom:
    If the argument of --color does not match any of the previous strings, a custom scheme can be specified. 5 colors must be given in RGB with the format: R,G,B:R,G,B:...The first 3 colors are the CPU art color and the next 2 colors are the text colors

STYLES

* "fancy":
    Default style

* "retro":
    Old cpufetch style

* "legacy":
    Fallback style for terminals that do not support colors

LOGOS

cpufetch will try to adapt the logo size and the text to the terminal width. When the output (logo and text) is wider than the terminal width, cpufetch will print a smaller version of the logo (if it exists). This behavior can be overridden by --logo-short  and --logo-long, which always sets the logo size as specified by the user, even if it is too big. After the logo selection (either automatically or set by the user), cpufetch will check again if the output fits in the terminal. If not, it will use a shorter name for the fields (the left part of the text). If, after all of this, the output still does not fit, cpufetch will cut the text and will only print the text until there is no space left in each line

EXAMPLES

Run cpufetch with Intel color scheme:

    ./cpufetch --color intel

Run cpufetch with a custom color scheme:

    ./cpufetch --color 239,90,45:210,200,200:0,0,0:100,200,45:0,200,200

BUGS

Report bugs to https://github.com/Dr-Noob/cpufetch/issues

NOTE

Peak performance information is NOT accurate. cpufetch computes peak performance using the max frequency of the CPU. However, to compute the peak performance, you need to know the frequency of the CPU running AVX code. This value is not be fetched by cpufetch since it depends on each specific CPU. To correctly measure peak performance, see: https://github.com/Dr-Noob/peakperf